Bug 1128567 - Cron/Jenkins-client cartridge can't be shown on scalable app when using "rhc app show $app -g" command
Summary: Cron/Jenkins-client cartridge can't be shown on scalable app when using "rhc ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1127680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 06:17 UTC by Yanping Zhang
Modified: 2016-05-25 11:43 UTC (History)
11 users (show)

Fixed In Version: rhc-1.37.1.2-1.el6op
Doc Type: Bug Fix
Doc Text:
Previously, only cartridges that exposed endpoints were listed in the output of `rhc app show <app> --gears` for scalable applications. However, the jenkins-client cartridge does not expose any endpoints, and as a result for scalable applications with a jenkins-client cartridge, `rhc app show <app> --gears` would not show the jenkins-client cartridge on any gear. This bug fix updates rhc so that all cartridges are listed and those with endpoints are highlighted in green. The jenkins-client cartridge is now listed for a scaled application alongside other cartridges that do expose endpoints.
Clone Of: 1127680
Environment:
Last Closed: 2015-09-30 16:35:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1844 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.7 security, bug fix and enhancement update 2015-09-30 20:35:28 UTC

Description Yanping Zhang 2014-08-11 06:17:15 UTC
+++ This bug was initially created as a clone of Bug #1127680 +++

Description of problem:
Add a cron/jenkins-client cartridge to a scalable app, it's works well and can be shown using "rhc app show $app", but can't appear using "rhc app show $appname -g". This issue can't occur on non-scalable app.

Version-Release number of selected component (if applicable):
devenv_5046
rhc-1.28.5

How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app with cron and jenkins-client cartridge
# rhc app create php53s php-5.3 -s cron-1.4 jenkins-client-1
2. Show the app
# rhc app show php53s -g
# rhc app show php53s

Actual results:
[root@qwang us]# rhc app show php53s -g
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- -----------------------------------------------------
53e38e0827c7ca4ced000cc0 started php-5.3 haproxy-1.4 small 53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com
[root@qwang us]# rhc app show php53s
php53s @ http://php53s-qwang.dev.rhcloud.com/ (uuid: 53e38e0827c7ca4ced000cc0)
------------------------------------------------------------------------------
  Domain:     qwang
  Created:    10:32 PM
  Gears:      1 (defaults to small)
  Git URL:    ssh://53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com/~/git/php53s.git/
  SSH:        53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com
  Deployment: auto (on git push)
  cron-1.4 (Cron 1.4)
  -------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears
  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with cron-1.4, jenkins-client-1, php-5.3
  jenkins-client-1 (Jenkins Client)
  ---------------------------------
    Gears:   Located with cron-1.4, haproxy-1.4, php-5.3
    Job URL: https://jks-qwang.dev.rhcloud.com/job/php53s-build/
  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears


Expected results:
[root@qwang us]# rhc app show php53s -g
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- -----------------------------------------------------
53e38e0827c7ca4ced000cc0 started php-5.3 haproxy-1.4 cron-1.4 jenkins-client-1 small 53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com

Additional info:

Comment 1 Miciah Dashiel Butler Masters 2015-09-18 23:28:17 UTC
I believe https://github.com/openshift/rhc/commit/061f6f0ff39d37ec0a09b6ce9ce3850ed871244f addresses this problem, so the next release should resolve this defect.

Comment 3 Yanping Zhang 2015-09-22 03:25:45 UTC
Verified on rhc-1.37.1.2-1.el6op
Steps to verify:
1.Create a scalable app with cron and jenkins client cartridge.
# rhc app create phptest php-5.4 -s cron jenkins-client
2.Show the app.
# rhc app show phptest
phptest @ http://phptest-domzyp.ose22-auto.com.cn/ (uuid: 5600c7e482611ddf6b0005f1)
-----------------------------------------------------------------------------------
  Domain:     domzyp
  Created:    11:15 AM
  Gears:      1 (defaults to small)
  Git URL:    ssh://domzyp-phptest-1@phptest-domzyp.ose22-auto.com.cn/~/git/phptest.git/
  SSH:        domzyp-phptest-1@phptest-domzyp.ose22-auto.com.cn
  Deployment: auto (on git push)

  cron-1.4 (Cron 1.4)
  -------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with cron-1.4, jenkins-client-1, php-5.4

  jenkins-client-1 (Jenkins Client)
  ---------------------------------
    Gears:   Located with cron-1.4, haproxy-1.4, php-5.4
    Job URL: https://jenkins-domzyp.ose22-auto.com.cn/job/phptest-build/

  php-5.4 (PHP 5.4)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears
# rhc app show phptest -g
ID               State   Cartridges                                    Size  SSH URL
---------------- ------- --------------------------------------------- ----- -------------------------------------------------
domzyp-phptest-1 started cron-1.4 haproxy-1.4 jenkins-client-1 php-5.4 small domzyp-phptest-1@phptest-domzyp.ose22-auto.com.cn
All the cartridges are shown correctly now, so move the bug to Verified.

Comment 5 errata-xmlrpc 2015-09-30 16:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1844.html


Note You need to log in before you can comment on or make changes to this bug.